MARTe2-core - User story #287

Lint errors
09.12.2015 14:56 - André Neto

Status: Closed Start date: 09.12.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.10 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Fix all the lint errors found in the release 0.9.

Socket select has been modified in this branch, check if it works in windows, run tests etc.

Source code files modified

Source/Core/BareMetal/L0Types/LinkedListHolder.cpp
Source/Core/BareMetal/L0Types/SearchFilterT.h
Source/Core/BareMetal/L1Portability/Environment/Generic/MemoryCheck_Generic.cpp
Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp
Source/Core/BareMetal/L1Portability/StaticListHolder.cpp
Source/Core/BareMetal/L1Portability/StaticListHolder.h
Source/Core/BareMetal/L3Streams/AdvancedErrorManagement.h
Source/Core/BareMetal/L3Streams/BufferedStreamGenerator.h
Source/Core/BareMetal/L3Streams/BufferedStreamlOBuffer.cpp
Source/Core/BareMetal/L3Streams/IOBuffer.h
Source/Core/BareMetal/L3Streams/OperatingSystemCallbacksl.h
Source/Core/BareMetal/L4Configuration/TypeConversion.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicTCPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicUDPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/DirectoryScanner.cpp
Source/Core/Scheduler/L1Portability/Environment/Generic/ThreadsDatabase_Generic.cpp
Source/Core/Scheduler/L1Portability/Environment/Generic/ThreadsDatabase_Generic.h
Source/Core/FileSystem/L1Portability/Environment/Linux/Select.cpp

h1. Architecture & design review

Date of the review: 09/12/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 18/12/2015
Person who did the review: Andre Neto

Result of review: PASS (but see non-conformities)
List of non-conformities: N/A.
Strategy to handle duplication of StringHelper and StringPortable to be discussed in the next Sprint.

./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:45:34: Error 14: Symbol
'MARTe::StringHelper::Length(const char *)' previously defined (line 155, file ./Source/Core/BareMetal/L1Portability/StringHelper.h)
./Source/Core/BareMetal/L1Portability/StringHelper.h:155:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:62:34: Error 14: Symbol
'MARTe::StringHelper::Compare(const char *, const char *)' previously defined (line 99, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:99:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:96:29: Error 14: Symbol
'MARTe::StringHelper::CompareN(const char *, const char *, unsigned int)' previously defined (line 110, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:110:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:132:37: Error 14: Symbol
'MARTe::StringHelper::Concatenate(char *, const char *)' previously defined (line 67, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:67:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:153:32: Error 14: Symbol
'MARTe::StringHelper::ConcatenateN(char *, const char *, unsigned int)' previously defined (line 80, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:80:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:175:37: Error 14: Symbol
'MARTe::StringHelper::SearchChar(const char *, char)' previously defined (line 90, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:90:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:205:30: Error 14: Symbol
'MARTe::StringHelper::Copy(char *, const char *)' previously defined (line 122, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:122:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:219:25: Error 14: Symbol
'MARTe::StringHelper::CopyN(char *, const char *, unsigned int)' previously defined (line 135, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:135:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:232:38: Error 14: Symbol
'MARTe::StringHelper::Searchindex(const char *, const char *)' previously defined (line 147, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:147:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:266:45: Error 14: Symbol
'MARTe::StringHelper::SearchChars(const char *, const char *)' previously defined (line 163, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:163:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:310:41: Error 14: Symbol
'MARTe::StringHelper::SearchLastChar(const char *, char)' previously defined (line 172, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:172:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:335:46: Error 14: Symbol
'MARTe::StringHelper::SearchString(const char *, const char *)' previously defined (line 181, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:181:1: Info 830: Location cited in prior message
./Source/Core/BareMetal/L1Portability/Environment/Generic/StringHelper_Portable_Generic.cpp:363:26: Error 14: Symbol
'MARTe::StringHelper::SetChar(char *, unsigned int, char)' previously defined (line 228, file
./Source/Core/BareMetal/L1Portability/StringHelper.h)

./Source/Core/BareMetal/L1Portability/StringHelper.h:228:1: Info 830: Location cited in prior message

Note 1960: Violates MISRA C++ 2008 Required Rule 0-1-8, Void return type for function without external side-effects:
MARTe:: TimeStamp::SetDay(unsigned int)

Note 1960: Violates MISRA C++ 2008 Required Rule 0-1-8, Void return type for function without external side-effects:
MARTe::TimeStamp::SetHour(unsigned int)

Note 1960: Violates MISRA C++ 2008 Required Rule 0-1-8, Void return type for function without external side-effects:
MARTe::TimeStamp::SetMinutes(unsigned int)

Note 1960: Violates MISRA C++ 2008 Required Rule 0-1-8, Void return type for function without external side-effects:
MARTe:: TimeStamp::SetMonth(unsigned int)

Note 1960: Violates MISRA C++ 2008 Required Rule 0-1-8, Void return type for function without external side-effects:
MARTe:: TimeStamp::SetSeconds(unsigned int)

Note 1960: Violates MISRA C++ 2008 Required Rule 0-1-8, Void return type for function without external side-effects:
MARTe:: TimeStamp::SetYear(unsigned int)
Unit test review

Date of the review: 18/12/2015

Person who did the review: Andre Neto

Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision e78ed91a - 14.12.2015 13:43 - Giuseppe Ferro

#287 Fixed lint errors.
Note: StringHelper_Portable_Generic has to be linted separately from
StringHelper_CLIB_Generic because they implements the same functions.

Revision c¢759f76d - 14.12.2015 13:58 - Giuseppe Ferro

#287 The operator != in preprocessor does not work. Changed it with ==
but we have to check if works in Windows.

Revision faf11d07 - 14.12.2015 14:22 - Giuseppe Ferro
#287 Fixed macros.

Revision 192¢73d8 - 14.12.2015 16:56 - Giuseppe Ferro
#287 Removed SocketSelect

Revision adafb0c8 - 18.12.2015 09:14 - André Neto
Merge branch 'develop' into #287_Lint_Errors
Conflicts:

Source/Core/FileSystem/L1Portability/Environment/Windows/BasicTCPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Windows/SocketSelect.cpp

Revision b3cc26a7 - 18.12.2015 13:07 - Frank Perez

#287 small modifications to align with windows development.

Revision d7682cf3 - 18.12.2015 15:17 - Frank Perez

#287 working in windows

History

#1 - 09.12.2015 15:02 - André Neto

- Status changed from New to Code: Impl

#2 - 14.12.2015 11:49 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#3 - 14.12.2015 15:10 - Giuseppe Ferro

- Description updated

- Status changed from Code: Impl to Code: Rev
- Assignee deleted (Giuseppe Ferro)

#4 - 14.12.2015 16:57 - Giuseppe Ferro

- Description updated

#5 - 14.12.2015 17:25 - Giuseppe Ferro
- Description updated

#6 - 14.12.2015 17:25 - Giuseppe Ferro
- Description updated

#7 - 18.12.2015 08:47 - André Neto

- Assignee set to André Neto

#8 - 18.12.2015 09:10 - André Neto

- Description updated

#9 - 18.12.2015 13:43 - André Neto
- Status changed from Code: Rev to Unit: Rev

#10 - 18.12.2015 14:32 - André Neto

- Description updated

Merged with develop in commit f8219f669e7e88d7230f47ae2d86d3fb5b271e30

#11 - 18.12.2015 14:33 - André Neto
- Status changed from Unit: Rev to Closed
- Assignee deleted (André Neto)

#12 - 04.01.2016 11:22 - Ilvan Herrero

- Description updated
